Package org.drinkless.tdlib

# Class TdApi.TextCompositionStyle

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TextCompositionStyle

Enclosing class:
  `TdApi`

public static class TdApi.TextCompositionStyle extends TdApi.Object
Describes a style that can be used to compose a text.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `creatorUserId`
  User identifier of the creator of the style; 0 if none of unknown.
  `long`
  `customEmojiId`
  Identifier of the custom emoji corresponding to the style; 0 if none.
  `TdApi.TextCompositionStyleExample`
  `englishExample`
  Example of the style usage in English; may be null if unknown.
  `int`
  `installCount`
  Number of users that installed the style; for created custom styles only; 0 if unknown.
  `boolean`
  `isCreator`
  True, if the user is creator of the style.
  `boolean`
  `isCustom`
  True, if the style is created by a user.
  `String`
  `name`
  Name of the style.
  `String`
  `prompt`
  Prompt of the style; for created custom styles only.
  `String`
  `title`
  Title of the style in the user application's language.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextCompositionStyle()`
  Describes a style that can be used to compose a text.
  `TextCompositionStyle(String name, long customEmojiId, String title, boolean isCustom, boolean isCreator, int installCount, String prompt, long creatorUserId, TdApi.TextCompositionStyleExample englishExample)`
  Describes a style that can be used to compose a text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Name of the style.

  - ### customEmojiId

    public long customEmojiId
    Identifier of the custom emoji corresponding to the style; 0 if none.

  - ### title

    public String title
    Title of the style in the user application's language.

  - ### isCustom

    public boolean isCustom
    True, if the style is created by a user.

  - ### isCreator

    public boolean isCreator
    True, if the user is creator of the style.

  - ### installCount

    public int installCount
    Number of users that installed the style; for created custom styles only; 0 if unknown.

  - ### prompt

    public String prompt
    Prompt of the style; for created custom styles only.

  - ### creatorUserId

    public long creatorUserId
    User identifier of the creator of the style; 0 if none of unknown.

  - ### englishExample

    @Nullable public TdApi.TextCompositionStyleExample englishExample
    Example of the style usage in English; may be null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TextCompositionStyle

    public TextCompositionStyle()
    Describes a style that can be used to compose a text.

  - ### TextCompositionStyle

    public TextCompositionStyle(String name, long customEmojiId, String title, boolean isCustom, boolean isCreator, int installCount, String prompt, long creatorUserId, TdApi.TextCompositionStyleExample englishExample)
    Describes a style that can be used to compose a text.
    Parameters:
      `name` - Name of the style.
      `customEmojiId` - Identifier of the custom emoji corresponding to the style; 0 if none.
      `title` - Title of the style in the user application's language.
      `isCustom` - True, if the style is created by a user.
      `isCreator` - True, if the user is creator of the style.
      `installCount` - Number of users that installed the style; for created custom styles only; 0 if unknown.
      `prompt` - Prompt of the style; for created custom styles only.
      `creatorUserId` - User identifier of the creator of the style; 0 if none of unknown.
      `englishExample` - Example of the style usage in English; may be null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR